Bug 351751 - Review Request: perl-Business-ISBN-Data - The data pack for Business::ISBN
Review Request: perl-Business-ISBN-Data - The data pack for Business::ISBN
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 00:54 EDT by Robin Norwood
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 05:43:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Norwood 2007-10-25 00:54:11 EDT
Spec URL: http://people.redhat.com/rnorwood/rpms/perl-Business-ISBN-Data.spec
SRPM URL: http://people.redhat.com/rnorwood/rpms/perl-Business-ISBN-Data-1.15-1.fc8.src.rpm
Description: This is a data pack for Business::ISBN.  You can update
the ISBN data without changing the version of Business::ISBN.
Most of the interesting stuff is in Business::ISBN.

This module is only interesting as a dependancy of perl-Business-ISBN, which will be submitted shortly
Comment 1 Robin Norwood 2007-10-25 00:55:52 EDT
Review request for perl-Business-ISBN:
https://bugzilla.redhat.com/show_bug.cgi?id=351761
Comment 2 Parag AN(पराग) 2007-10-25 02:04:53 EDT
missed 
BR: perl(Test::Pod) perl(Test::Prereq)
Comment 4 Parag AN(पराग) 2007-10-25 23:34:28 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
fc752d33c352879d9462f86b358416fc  Business-ISBN-Data-1.15.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
/usr/bin/perl "-MTest::Manifest" "-e" "run_t_manifest(0, 'blib/lib',
'blib/arch',  )"
Level is
Test::Manifest::test_harness found [t/load.t t/pod.t t/pod_coverage.t t/prereq.t
t/check_data_structure.t]
t/load....................ok
t/pod.....................ok
t/pod_coverage............ok
t/prereq..................ok
t/check_data_structure....ok
All tests successful.
Files=5, Tests=300,  4 wallclock secs ( 3.87 cusr +  0.13 csys =  4.00 CPU)
+ Package  perl-Business-ISBN-Data-1.15-2.fc8 ->
  Provides: perl(Business::ISBN) perl(Business::ISBN::Data) = 1.15
  Requires: perl(:MODULE_COMPAT_5.8.8) perl(strict) perl(vars)
APPROVED.
Comment 5 Robin Norwood 2007-10-27 00:18:46 EDT
New Package CVS Request
=======================
Package Name: perl-Business-ISBN-Data
Short Description: The data pack for perl-Business-ISBN
Owners: rnorwood
Branches: 
InitialCC: fedora-perl-devel-list@redhat.com
Cvsextras Commits: no


Note You need to log in before you can comment on or make changes to this bug.